### Constructor

# Gom Filter new_and

#### Declaration [src]

    GomFilter*
    gom_filter_new_and (
      GomFilter* left,
      GomFilter* right
    )

#### Description [src]

Creates a new filter that requires that both left and right filters equate to `TRUE`.

#### Parameters

`left`

  Type: `GomFilter`

  A `GomFilter`.

  The data is owned by the caller of the function.

`right`

  Type: `GomFilter`

  A `GomFilter`.

  The data is owned by the caller of the function.

#### Return value

Type: `GomFilter`

A `GomFilter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.